// An interface for our leased slot provider application

package corejini.chapter11;

import java.rmi.Remote;
import java.rmi.RemoteException;
import net.jini.core.lease.UnknownLeaseException;

public interface SlotProvider extends Remote {
    public SlotResult leaseFreeSlot(Object value,
                                    long duration) throws RemoteException;
    public Object getValue(Object key) throws RemoteException,
	UnknownLeaseException;
}
