// This is a superclass for the Entry types that
// we'll use.  This stores the time that the
// event arrived, and the group name that was
// being watched.

package corejini.chapter15;

import net.jini.core.entry.Entry;

public class WatcherEntry implements Entry {
    public Long timestamp = null;
    public String group = null;
    
    public WatcherEntry() {
    }
    
    public WatcherEntry(String group, long time) {
        this.group = group;
        timestamp = new Long(time);
    }
}

