#!/bin/sh

# Set this to wherever Jini is installed
JINI_HOME=/files/jini1_0

# Set this to wherever the webserver is running
HOSTNAME=hostname

# everything below should work with few changes
POLICYFILE=$JINI_HOME/example/books/policy.all
JARFILE=$JINI_HOME/lib/transient-outrigger.jar
CODEBASE=http://$HOSTNAME:8080/outrigger-dl.jar
GROUP=public

java -Djava.security.policy=$POLICYFILE \
     -Djava.rmi.server.codebase=$CODEBASE \
     -jar $JARFILE \
     -Dcom.sun.jini.outrigger.spaceName=JavaSpaces \
     $GROUP
