#!/bin/sh

# Set this to wherever Jini is installed
JINI_HOME=/files/jini1_0

# Set this to wherever the webserver is running
HOSTNAME=hostname

# everything below should work with few changes
POLICYFILE=$JINI_HOME/example/txn/policy.all
JARFILE=$JINI_HOME/lib/mahalo.jar
CODEBASE=http://$HOSTNAME:8080/mahalo-dl.jar
TXN_POLICYFILE=$POLICYFILE
LOG_DIR=/tmp/txn_log
GROUP=public

java -Djava.security.policy=$POLICYFILE \
     -jar $JARFILE \
     -Dcom.sun.jini.mahalo.managerName=TransactionManager \
     $CODEBASE $TXN_POLICYFILE \
     $LOG_DIR $GROUP
