#!/bin/sh

# Set this to wherever Jini is installed
JINI_HOME=$HOME/files/jini1_0

# Set this to wherever the webserver is running
HOSTNAME=hostname

# everything below should work with few changes
POLICYFILE=$JINI_HOME/example/lookup/policy
JARFILE=$JINI_HOME/lib/reggie.jar
CODEBASE=http://$HOSTNAME:8080/reggie-dl.jar
LOOKUP_POLICYFILE=$POLICYFILE
LOG_DIR=/tmp/reggie_log
GROUP=public

java -Djava.security.policy=$POLICYFILE -jar $JARFILE \
	$CODEBASE $LOOKUP_POLICYFILE $LOG_DIR $GROUP
